package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.plugin.lets.entity.*;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.HeaderDto;
import com.hzya.frame.ttxofs.dto.returngoodsearch.ReturnGoodSearchDetailsDto;
import com.hzya.frame.ttxofs.dto.returngoodsearch.ReturnGoodSearchHeaderDto;
import com.hzya.frame.ttxofs.dto.stock.StockinOrderSearchResponse;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.ttxofs.dto.u8cson
 * @Project：kangarooDataCenterV3
 * @name：SonDetailsDto
 * @Date：2024/8/5 16:07
 * @Filename：SonDetailsDto
 */
@Data
public class GoodsRertunSonDetailsDto extends StockinOrderSearchResponse.StockinOrder.StockinB {

    /**
     * 表头对象
     */
    private StockinOrderSearchResponse.StockinOrder.StockinH header;

    /**
     * 表头公司（销售公司）
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 发货库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 发货仓库
     */
    private BdStordocEntity bdStordocEntity;

    /**
     * 收货库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity1;

    /**
     * 收货仓库
     */
    private BdStordocEntity bdStordocEntity1;

    /**
     * 销售组织
     */
    private BdSalestruEntity bdSalestruEntity;

    /**
     * 业务部门
     */
    private BdDeptdocEntity bdDeptdocEntity;

    /**
     * 客商管理档案
     */
    private BdCumandocEntity bdCumandocEntity;

    /**
     * 客商基本档案
     */
    private BdCubasdocEntity bdCubasdocEntity;

    /**
     * 生成汇总维度字符串
     */
    private String summaryDimensionStr;

    /**
     * 汇总总金额
     */
    private BigDecimal groupTotalPayAmount;

    /**
     * 汇总实发数量
     */
    private BigDecimal groupShipQty;

    /**
     * 发货公司
     */
    private BdCorpEntity deliverGoodsCorp;

    /**
     * U8C平台档案
     */
    private BdDefdocEntity platformArchives;
}